Forum: Ruby RMagick 2.9.2

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
B33ea5c12d767bfd1253940a960274f5?d=identicon&s=25 Tim Hunter (timhunter)
on 2009-05-15 00:11
(Received via mailing list)
I've just uploaded RMagick 2.9.2 to RubyForge. This release fixes a
stack buffer overflow in the Magick::TypeMetric#to_s method reported
by Roman Simecek. The detailed change log is here:
http://rubyforge.org/frs/shownotes.php?release_id=34506.

The RMagick prerequisites are changing. RMagick 2.0.0 through this
release works with Ruby 1.8.2 and later and ImageMagick 6.3.0 and
later. Starting with the next release, RMagick will require Ruby 1.8.5
or later and ImageMagick 6.3.5 or later. (The current release of
ImageMagick is 6.5.2.) The RMagick 2.9.2 installer will warn you if
your version of Ruby or ImageMagick will not be supported in the next
release.

RMagick is available as always at RubyForge:
http://rubyforge.org/projects/rmagick/.
You may have to wait a few hours for the mirrors to catch up.

Please report bugs on RMagick's bug tracker [http://rubyforge.org/
tracker/?group_id=12]. You can ask questions in
the RMagick Help Forum [http://rubyforge.org/forum/?group_id=12], or
contact me directly at rmagick AT rubyforge DOT org.

RMagick 2 is an interface to the ImageMagick (www.imagemagick.org)
image processing library. RMagick supports more than 90 image formats,
including GIF, JPEG, and PNG, and comes with comprehensive HTML
documentation.
This topic is locked and can not be replied to.